Bug 968614 - SELinux is preventing /usr/bin/mkdir from 'create' accesses on the directory pluto.
SELinux is preventing /usr/bin/mkdir from 'create' accesses on the directory ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e832823612792897f87af743825...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 19:03 EDT by Daniel Demus
Modified: 2013-07-24 20:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-98.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 20:38:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Demus 2013-05-29 19:03:06 EDT
Description of problem:
Trying to start a VPN tunnel using L2TP IPsec VPN Manager 1.0.8. libreswan has recently replaced openswan where there were no problems
SELinux is preventing /usr/bin/mkdir from 'create' accesses on the directory pluto.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that mkdir should be allowed create access on the pluto directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep mkdir /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:ipsec_mgmt_t:s0
Target Context                system_u:object_r:var_run_t:s0
Target Objects                pluto [ dir ]
Source                        mkdir
Source Path                   /usr/bin/mkdir
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           coreutils-8.17-8.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-96.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-200.fc18.x86_64 #1 SMP Fri
                              May 24 20:10:49 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-05-29 23:47:15 CEST
Last Seen                     2013-05-30 00:18:04 CEST
Local ID                      60430713-16fa-44ef-9822-bde6ecb8a2f0

Raw Audit Messages
type=AVC msg=audit(1369865884.226:322): avc:  denied  { create } for  pid=2001 comm="mkdir" name="pluto" scontext=system_u:system_r:ipsec_mgmt_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=dir


type=SYSCALL msg=audit(1369865884.226:322): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=7fff13498ec1 a1=1ed a2=1ed a3=7fff13496dc0 items=0 ppid=1993 pid=2001 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=mkdir exe=/usr/bin/mkdir subj=system_u:system_r:ipsec_mgmt_t:s0 key=(null)

Hash: mkdir,ipsec_mgmt_t,var_run_t,dir,create

audit2allow

#============= ipsec_mgmt_t ==============
allow ipsec_mgmt_t var_run_t:dir create;

audit2allow -R
require {
	type ipsec_mgmt_t;
}

#============= ipsec_mgmt_t ==============
files_create_var_run_dirs(ipsec_mgmt_t)


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-200.fc18.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-05-30 07:53:56 EDT
Fixed in selinux-policy-3.11.1-98.fc18
Comment 2 Fedora Update System 2013-06-27 09:34:15 EDT
selinux-policy-3.11.1-98.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-98.fc18
Comment 3 Fedora Update System 2013-06-28 02:08:27 EDT
Package selinux-policy-3.11.1-98.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-98.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11859/selinux-policy-3.11.1-98.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-24 20:38:18 EDT
selinux-policy-3.11.1-98.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.